Register an outbound reservation webhook

POSTs `reservation.confirmed`, `reservation.cancelled` and `reservation.hold_expired` with `X-Trama-Signature: sha256=...`.

POST
/v1/reservations/webhooks

POSTs reservation.confirmed, reservation.cancelled and reservation.hold_expired with X-Trama-Signature: sha256=....

Authorization

AuthorizationBearer <token>

The organization API key, sent as Authorization: Bearer <key>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

secret*string

HMAC secret. At least 16 characters.

Length16 <= length
url*string
Formaturi

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/reservations/webhooks" \  -H "Content-Type: application/json" \  -d '{    "secret": "stringstringstri",    "url": "http://example.com"  }'
{  "id": "string",  "secret": "string",  "url": "string"}